<template>
  <div class="navbar">
    <div class="navbar--logo">
        <img src="../assets/logo.png">
    </div>
    <div class="navbar--links">
        <div v-if="!loggedIn" class="navbar--links--account">
            <router-link to="/register" class="round-btn-container">
                <RoundButton label="Create Account" />
            </router-link>
        </div>
        <ul class="navbar--links--menu">
            <li class="navbar--links--menu--item">
                <router-link to="/" class="navbar--links--menu--item--link">Home</router-link>
            </li>
            <li class="navbar--links--menu--item">
                <router-link to="/blog" class="navbar--links--menu--item--link">Blog</router-link>
            </li>
            <li class="navbar--links--menu--item">
                <router-link to="/about" class="navbar--links--menu--item--link">About</router-link>
            </li>
            <li class="navbar--links--menu--item">
                <router-link to="/contact" class="navbar--links--menu--item--link">Contact</router-link>
            </li>
            <li v-if="!loggedIn" class="navbar--links--menu--item">
                <router-link to="/login" class="navbar--links--menu--item--link">login</router-link>
            </li>
            <li v-if="loggedIn" class="navbar--links--menu--item">
                <a href="#" class="navbar--links--menu--item--link" @click="logout">logout</a>
            </li>
        </ul>
    </div>
  </div>
</template>

<script>
import RoundButton from './RoundButton';
import AC_Authentication from '../lib/authentication';

export default {
  name: 'Navbar',
  props: ['loggedIn', 'auth'],
  components: {
      RoundButton
  },
  methods: {
      logout: function(e){
          e.preventDefault();
          this.auth.logout();
          this.$router.replace("/login");
      }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.navbar {
    padding: 35px 0;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start
}

.navbar--links {
    display: flex;
    flex: 1;
    flex-direction: row-reverse;
    align-items: center;
    justify-content: flex-start;
}

.navbar--logo {
    width: 70px;
    flex: 0 0 auto;
}

.navbar--logo img {
    display: block;
    width: 100%;
}

.navbar--links--account {
    display: block;
    flex: 0 1 auto;
    margin-left: 70px;
}

.navbar--links--account a {
    display: block;
}

.navbar--links--menu, ul.navbar--links--menu {
    display: flex;
    flex: 0 1 auto;
    list-style: none;
    padding: 0;
    margin: 0;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    margin-left: 20px;
    flex-wrap: wrap;
}

.navbar--links--menu--item {
    margin-right: 40px;
}

.navbar--links--menu--item:last-child {
    margin-left: 0;
}

.navbar--links--menu--item--link, a.navbar--links--menu--item--link {
    color: #fff;
    text-decoration: none;
    font-weight: bold;
    font-size: 18px;
    font-weight: 36px;
}

a.round-btn-container {
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    font-weight: 36px;
}

</style>
